Lễ trao bằng tốt nghiệp kd11-00
Lễ trao bằng tốt nghiệp kd11-00
Hội thảo lutron
Hội thảo lutron
Đồ án tốt nghiệp
Đồ án tốt nghiệp
Giảng viên nữ nam 2016
Giảng viên nữ nam 2016
Lãnh đạo khoa 2016
Lãnh đạo khoa 2016
Toàn khoa năm 2016
Toàn khoa năm 2016

Hạ tầng đô thị thông minh là một trong những ứng dụng không thể thiếu của mạng lưới kết nối vạn vật trong những năm gần đây. Với nhiều ứng...

Lập trình Autolisp for AutoCAD - Bài 2

12/04/2015 | Ngoc sáu

Command: doanthang
Chon diem: Chon diem: nil

*Phân tích: 
-Hai câu hỏi của lisp là Chon diem và Chon diem dính liền nhau trên 1 hàng và cuối cùng xuất hiện chữ nil không được đẹp mắt lắm.
-Khi bạn chọn điểm thứ nhất trên màn hình lisp sẽ tiếp tục chọn điểm thứ hai nhưng không xuất hiện “dây tóc” nối điểm thứ nhất với con trỏ như thường thấy ở lệnh line của cad làm việc chọn điểm thứ hai không được bài bản cho lắm.
*Khắc phục:
Sửa đoạn lisp lại như sau:

(defun c:doanthang ()
(setq a (getpoint " Chon diem: "))
(setq b (getpoint a" Chon diem: "))
(command ".line" a b "")
(princ)
)

Bây giờ load lại và thực hiện lệnh doanthang sẽ thấy:
Command: DOANTHANG
Chon diem:
Chon diem:

Hai câu hỏi của lisp đưa ra xuống hàng đàng hoàn.
Chữ nil cuối lệnh đã biến mất.
Có dây tóc giúp việc chọn điểm thứ hai trực quan hơn.
*Phân tích:
sẽ làm cho các nội dung phía sau đó nhảy xuống hàng.
Thêm chữ a sau getpoint sẽ làm xuất hiện dây tóc nối con trỏ với điểm a
(princ) sẽ ghi ra 1 dòng trắng giúp triệt tiêu các thông báo lòng thòng khi chạy lisp còn dư.

!^__^! Theo dỏi các bài tiếp theo nhé.

Nguồn ( http://kts-duy.blogtiengviet.net)

:
Bài viết liên quan
Lập trình Autolisp for AutoCAD - Bài 4
Từ 2 điểm a và b lisp sẽ làm được rất nhiều việc. -Giới thiệu 1 số hàm đối với 1 điểm: (setq xa (car a)) tạo độ x của điểm a
12/04/2015
Lập trình Autolisp for AutoCAD - Bài 5
Đoạn lisp trên mình viết rất cơ bản làm từng bước 1 để bạn làm quen, thực chất bạn có thể làm gọn lại bằng cách gộp các đoạn lại với nhau.
12/04/2015
Lập trình Autolisp for AutoCAD - Bài 6
Bây giờ bỏ bớt cái hình tròn tâm b đường kính ab đi. Áp dụng lệnh Array với cái hình tròn tâm a đường kính ab. Cho nó Array thành 8 đối tượng quanh điểm...
12/04/2015
 Back on top